package com.cim.idm.constants.receive;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
public enum ReceiveTypeEnums {
    Z001("Z001", "生产物资采购订单"),
    Z002("Z002", "研发采购订单"),
    Z003("Z003", "非生产物资采购订单"),
    Z004("Z004", "固定资产、在建工程采购订单");

    private final String code;
    private final String info;

    ReceiveTypeEnums(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * 采购订单
     */
    public static List<String> getPurchase() {
        List<String> str = new ArrayList<>();
        str.add(Z001.getCode());
        str.add(Z002.getCode());
        str.add(Z003.getCode());
        str.add(Z004.getCode());
        return str;
    }
}
